version: "3.1"
services:
  worker-1:
    build: ./worker-1
    volumes:
    #монтируем локальную папку в запущенный образ контейнера
      - ./data:/var/data
      - ./result-1:/var/result
  worker-2:
    build: ./worker-2
    volumes:
      - ./result-1:/var/data
      - ./result:/var/result
      #добавляется зависимость, так как по условию второе приложение зависит от первого
    depends_on:
      - worker-1